from flask import Flask, render_template
from flask_debugtoolbar import DebugToolbarExtension

import random
app = Flask(__name__)
app.config['SECRET_KEY'] = '<replace with a secret key>'
app.debug = True
toolbar = DebugToolbarExtension(app)

@app.route('/')
def index():
    coin = random.random()
    if coin >= 0.5:
        return render_template('index.html')
    else:
        raise Exception("Bad luck")

if __name__ == '__main__':
    app.run(debug=True)
